server {
    listen 80;
    server_name yoursubdomain.domain.dom;
    return 301 https://$host$request_uri;
}

server {
    listen 443 ssl; # initial config: listen 80;
    server_name yoursubdomain.domain.dom;

    ssl_certificate /etc/letsencrypt/live/yoursubdomain.domain.dom/fullchain.pem; # initial config: comment out
    ssl_certificate_key /etc/letsencrypt/live/yoursubdomain.domain.dom/privkey.pem; # initial config: comment out

    client_max_body_size 500G;

    location / {
        proxy_pass http://localhost:5000/;
        proxy_set_header Host $host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header X-Forwarded-Proto $scheme;
    }
}
